<?php	
/*
	CMS ,,Black Min''  Został stworzony przez di_Timonix'a
	
	ten plik służy do renderowania strony odpowiedzialnej za całe menu na stronie
	
	#Zawannsowane szukanie
	
	Black Min cms,
	
	#plik: 1.3
*/

	// ładowanie jądra black mina
	require_once "black-min.php";
	
?>


<!DOCTYPE html>
<html lang="pl" class="">
<head>

	<title>Edytuj Menu - Admin Panel <?php echo $black_min ?></title>
	
	<?php require_once "laduj-pliki-admin.php"; ?>

	<script>	
	// funkcjia do ładowania struktury menu głównego
	function load_menu_items() {
		$.ajax({
			type:"POST",
			url:"laduj/laduj-menu-items.php",
			data:{
				//tytul:tytul_menu,
				//url:url_adres,
				//item_type:"link",
			}
		})
		.done(function(info){
			$(".menu-load-items").text("");
			$(".menu-load-items").append(info);
		})
		.fail(function(){
			alert("Wystąpił błąd. Spróbuj ponownie później");
		});	
	}</script>
</head>
<body>

	<?php require_once "admin-menu.php"; ?>
	
	<?php require_once "admin-menu-left.php"; ?>
	
	<?php require_once "admin-menu-mobile.php"; ?>
	
	<main class="container-right">
		<section class="container tsr-p-10px">
			<section class="tsr fs-130 l-0">
				Edytuj Menu - Black Min 
			</section>
			<section class="tsr tsr-p-10px background-white tsr-mt-20">		

				<section class="tsr tsr-mt-20">
					<form accept-charset="UTF-8"  action="" method="post" id="add_post" autocomplete="off">	

						<section class="col-ms40 tsr-p-5px">
							<section class="tsr fs-70">
								Dodaj element do menu
							</section>
							<section class="tsr fs-70 tsr-border-solid-all tsr tsr-mt-20">
								<section class="tsr tsr-mt-20 fs-100">
									Własne linki
								</section>
								<section class="tsr tsr-mt-10 fs-100 tsr-p-10px add-text-alert">
									<section class="tsr fs-100">
										<section class="col-ms40 tsr-mt-10">
											Własny url
										</section>
										<section class="col-ms60">
											<input type="text" name="adres-url" class="input" placeholder="Dodaj url"/>
										</section>
									</section>
									<section class="tsr fs-100">									
										<section class="col-ms40 tsr-mt-10">
											Własny Tytuł
										</section>
										<section class="col-ms60">
											<input type="text" name="tytul-menu" class="input" placeholder="Dodaj Tytuł"/>
										</section>
									</section>	
									<section class="tsr tsr-mt-20">
										<button type="button" class="submit" value="Dodaj do menu" id="dodaj_do_menu"/>
											Dodaj do menu
										</button>
									</section>
								</section>
							</section>
						</section>
						<section class="col-ms60 tsr-p-5px">
							<section class="tsr fs-70">
								Struktura Menu Głównego
							</section>
							<section class="tsr fs-100 tsr-mt-20">
								<div class="menu-load-items">
									Ładowanie struktury menu
									<script>load_menu_items();</script>
								</div>
							</section>
							
							<div class="tsr">
								<div class="tsr-psort-container tsr-sortbox tsr-sortitem2">
									<div class="tsr-sortiner">
										<div class="tsr-sort-handle"> nazwa </div>
										<div class="tsr-sort-item"> item </div>
										
									</div>
									<div class="tsr-sortiner">
										<div class="tsr-sort-handle"> nazwa </div>
										<div class="tsr-sort-item"> item </div>
										
									</div>
									<div class="tsr-sortiner">
										<div class="tsr-sort-handle"> nazwa </div>
										<div class="tsr-sort-item"> item </div>
										<div class="tsr-sortitem"></div>
									</div>
									<div class="tsr-sortiner">
										<div class="tsr-sort-handle"> nazwa2 </div>
										<div class="tsr-sort-item"> item </div>
										
									</div>
								</div>
								
								<div class="tsr-psort-container2 tsr-psortiner-container tsr-sortitem2">
									<div class="tsr-sortiner">
										<div class="tsr-sort-handle"> nazwa </div>
										<div class="tsr-sort-item"> item </div>
										
									</div>
									<div class="tsr-sortiner">
										<div class="tsr-sort-handle"> nazwa </div>
										<div class="tsr-sort-item"> item </div>
										
									</div>
									<div class="tsr-sortiner">
										<div class="tsr-sort-handle"> nazwa </div>
										<div class="tsr-sort-item"> item </div>
										<div class="tsr-sortitem"></div>
									</div>
									<div class="tsr-sortiner">
										<div class="tsr-sort-handle"> nazwa2 </div>
										<div class="tsr-sort-item"> item </div>
										
									</div>
								</div>
								
								<div class="tsr-psort-container3 tsr-psortiner-container">
									<div class="tsr-sortiner">
										<div class="tsr-sort-handle"> nazwa </div>
										<div class="tsr-sort-item"> item </div>
										
									</div>
									<div class="tsr-sortiner">
										<div class="tsr-sort-handle"> nazwa </div>
										<div class="tsr-sort-item"> item </div>
										
									</div>
									<div class="tsr-sortiner">
										<div class="tsr-sort-handle"> nazwa </div>
										<div class="tsr-sort-item"> item </div>
										<div class="tsr-sortitem"></div>
									</div>
									<div class="tsr-sortiner">
										<div class="tsr-sort-handle"> nazwa2 </div>
										<div class="tsr-sort-item"> item </div>
										
									</div>
									<div class="tsr-sortiner">
										<div class="tsr-sort-handle"> nazwa </div>
										<div class="tsr-sort-item"> item </div>
										
									</div>
									<div class="tsr-sortiner">
										<div class="tsr-sort-handle"> nazwa </div>
										<div class="tsr-sort-item"> item </div>
										
									</div>
									<div class="tsr-sortiner">
										<div class="tsr-sort-handle"> nazwa </div>
										<div class="tsr-sort-item"> item </div>
										<div class="tsr-sortitem"></div>
									</div>
									<div class="tsr-sortiner">
										<div class="tsr-sort-handle"> nazwa2 </div>
										<div class="tsr-sort-item"> item </div>
										
									</div>
								</div>
							</div>
							
						</section>					
					</form>	
				</section>
				
	<script type="text/javascript">

	// funkcjia która po kliknięciu dodaje nam nowy element do struktury głównego menu
	// pobiera dane wpisane od użtkownika i dodanie do menu
$(document).ready(function() {

	// skrypt dodający nowy element do menu
	$( this ).on( "click", "#dodaj_do_menu", function() {
		var id_menu = $('.sortiner-item').last().attr("data-id");
		var id_menu = ++id_menu;
		var url_adres =  $("input[name=adres-url]").val();
		var tytul_menu =  $("input[name=tytul-menu]").val();
		
		if (url_adres == "" || tytul_menu == "") {
			if (url_adres == "") {
				$("input[name=adres-url]").effect( "shake" );
			}	
			if (tytul_menu == "") {
				$("input[name=tytul-menu]").effect( "shake" );
			}
			
			$(this).closest(".add-text-alert").append('<section class="tsr tsr-alert tsr-alert-error"> Nie wypełniłeś wszystkich informacji </section>');
			$(".tsr-alert-error").delay(5000).fadeIn(5000).animate({opacity: "0"}, 1000).delay(1000).hide(500, function () { $(this).remove(); });
		}else {
			var done_add = 0;
			//$(".sortiner-list").append('<li class="sortiner-item" data-id="' + id_menu + '" data-item-type="link" data-url="' + url_adres + '" data-name="' + tytul_menu + '"><div class="sortiner-handle">' + tytul_menu + '</div></li>');
			
			
			$.ajax({
				type:"POST",
				url:"insert/add-menu.php",
				data:{
					tytul:tytul_menu,
					url:url_adres,
					item_type:"link",
				}
			})
			.done(function(info){
				load_menu_items();
				//$(this).closest(".add-text-alert").text("");
				$(".add-text-alert").append(info);
				$(".tsr-alert-error").delay(5000).fadeIn(5000).animate({opacity: "0"}, 1000).delay(1000).hide(500, function () { $(this).remove(); });
				$(".tsr-alert-success").delay(5000).fadeIn(5000).animate({opacity: "0"}, 1000).delay(1000).hide(500, function () { $(this).remove(); });
				
				if (done_add == 1){
					$("input[name=adres-url]").val("");
					$("input[name=tytul-menu]").val("");	
				}
			})
			.fail(function(){
				alert("Wystąpił błąd. Spróbuj ponownie później");
			});	
		}
	});	

	// skrypt zmieniający nazwyę wyświetlaną i adres url menu
	$( this ).on( "click", "#edytuj_element_menu", function() {
		var url_adres_rename =  $(this).closest(".sortiner-rename").find("input[name=adres-url-rename]").val();
		var id_menu  =  $(this).closest(".sortiner-rename").attr("data-id");
		var tytul_menu_rename =  $(this).closest(".sortiner-rename").find("input[name=tytul-menu-rename]").val();
		var item_type =  $(this).closest(".sortiner-rename").find("input[name=item_type]").val();
		
		if (url_adres_rename == "" || tytul_menu_rename == "") {
			if (url_adres_rename == "") {
				$(this).closest(".sortiner-rename").find("input[name=adres-url-rename]").effect( "shake" );
			}	
			if (tytul_menu_rename == "") {
				$(this).closest(".sortiner-rename").find("input[name=tytul-menu-rename]").effect( "shake" );
			}
			
			$(this).closest(".sortiner-rename").find(".add-text-alert-rename").append('<section class="tsr tsr-alert tsr-alert-error"> Nie wypełniłeś wszystkich informacji </section>');
			$(".tsr-alert-error").delay(5000).fadeIn(5000).animate({opacity: "0"}, 1000).delay(1000).hide(500, function () { $(this).remove(); });
		}else {
			$(this).closest(".sortiner-rename").attr("data-url", url_adres_rename);
			$(this).closest(".sortiner-rename").attr("data-name", tytul_menu_rename);
			$(this).first().closest(".sortiner-rename").first().find(".sortiner-handle").first().text(tytul_menu_rename);
				
			$.ajax({
				type:"POST",
				url:"insert/edit-menu-element.php",
				data:{
					url_adres_rename:url_adres_rename,
					id_menu:id_menu,
					tytul_menu_rename:tytul_menu_rename,
					item_type:item_type,
				}
			})
			.done(function(info){
				//load_menu_items()
				$('#contajner_post_add').text("");
				$('.sortiner-rename-section').append(info);
				$(".tsr-alert").delay(5000).fadeIn(5000).animate({opacity: "0"}, 1000).delay(1000).hide(500, function () { $(this).remove(); });
			})
			.fail(function(){
				alert("Wystąpił błąd. Spróbuj ponownie później");
			});
			//});		
		
		}
	});	

	// skrypt pokazujący i howający sekcie do zmieniania danych menu
	$( document ).on( "click", ".sortiner-rename-button", function(oEvent) {
		$(this).parent().first().find('.sortiner-rename-section').first().slideToggle();
		$(this).closest('.sortiner-rename-section').slideToggle();
	});
	
	// skrypt do usuwanie elementów klasy
	$( this ).on( "click", ".sortiner-delete-buton", function(oEvent) {
		
		//$(this).closest(".sortiner-item").find(".sortiner-item").clone().appendTo( ".sortiner" );
		var clone_element_submenu = $(this).closest(".sortiner-item").children(".sortiner-list").children(".sortiner-item").clone().appendTo( ".sortiner-clone" );
		//$(this).closest(".sortiner-item").parent("ol").remove();
		//$(this).closest(".sortiner-item").parent('buton[data-action="collapse"]').remove();
		
		//var id_menu  =  $(this).closest(".sortiner-item").attr("data-id");
		//var id_menu2  =  $(this).parents(".sortiner-item ").find("ol > li").attr("data-id");
		//var id_menu3  =  $(this).parents(".sortiner-item ").find(".sortiner-list > .sortiner-item").find(".sortiner-list > .sortiner-item").attr("data-id");
		
		var id_menu  =  $(this).closest(".sortiner-item").attr("data-id");
		//var id_menu2  =  $(this).parents(".sortiner-item ").find("ol > li").attr("data-id");
		//var id_menu3  =  $(this).parents(".sortiner-item ").find(".sortiner-list > .sortiner-item").find(".sortiner-list > .sortiner-item").attr("data-id");
		
		/*if (id_menu === undefined) {
			var id_menu = false;
		}
		if (id_menu2 === undefined) {
			var id_menu2 = false;
		}
		if (id_menu3 === undefined) {
			var id_menu3 = false;
		}
		
		console.log(id_menu);
		console.log(id_menu2);
		console.log(id_menu3);*/
		
		$.ajax({
			type:"POST",
			url:"insert/usun-element-menu.php",
			data:{
				id_menu:id_menu,
			}
		})
		.done(function(info){
			updateOutput();
			$('#contajner_post_add').text("");
			$('.sortiner-rename-section').append(info);
			$(".tsr-alert").delay(5000).fadeIn(5000).animate({opacity: "0"}, 1000).delay(1000).hide(500, function () { $(this).remove(); });
			$(this).closest('.sortiner-item').fadeOut(500, function () { $(this).remove(); });
		})
		.fail(function(){
			alert("Wystąpił błąd. Spróbuj ponownie później");
		});		
	});
	
});
		
		$('#submit_post').click('submit', function(evt1){	
		evt1.preventDefault();
		var tytul= $('input[name="tytul"]').val();
		var url= $('input[name="url"]').val();
		var kategoria_post= $('select[name="kategoria_post"]').val();
		var status= $('select[name="status"]').val();
		var password_post= $('input[name="password_post"]').val();
		//var date= $('input[name="date"]').val();
		var kategoria= $('select[name="kategoria"]').val();
		var tag= $('input[name="tag"]').val();
		$.ajax({
			type:"POST",
			url:"insert/add-post.php",
			data:{
				tytul:tytul,
				url:url,
				kategoria:kategoria,
				kategoria_post:kategoria_post,
				status:status,
				password_post:password_post,
				//date:date,
				tag:tag,
				tresc:tresc,
			}
		})
		.done(function(info){
			$('#contajner_post_add').text("");
			$('#contajner_post_add').append(info);
		})
		.fail(function(){
			alert("Wystąpił błąd. Spróbuj ponownie później");
		});
		});	
	</script>				
					
				</section>
			</section>
		</section>
	</main>

	<?php require_once "admin-stopka.php"; ?>

	<script>
	$(document).ready(function() { 
		//console.clear()
	});
	</script>	

</body>
</html>